Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.server.dedicated
Class DedicatedServerListenThread

    java.lang.Object
      net.minecraft.network.NetworkListenThread
          net.minecraft.server.dedicated.DedicatedServerListenThread

    public class DedicatedServerListenThread

extends NetworkListenThread

Field Summary

Fields inherited from class net.minecraft.network.NetworkListenThread
`isListening, logger`

Constructor Summary
`DedicatedServerListenThread(MinecraftServer par1MinecraftServer, InetAddress par2InetAddress, int par3)`

Method Summary
`void` | `func_71761_a(InetAddress par1InetAddress)`
`DedicatedServer` | `getDedicatedServer()`
`MinecraftServer` | `getServer()`
`void` | `networkTick()` processes packets and pending connections
`void` | `stopListening()`

Methods inherited from class net.minecraft.network.NetworkListenThread
`addPlayer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DedicatedServerListenThread

    public DedicatedServerListenThread(MinecraftServer par1MinecraftServer,
                                       InetAddress par2InetAddress,
                                       int par3)
                                throws IOException

Throws:
  `IOException`

Method Detail

### stopListening

    public void stopListening()

  Overrides:
    `stopListening` in class `NetworkListenThread`

### networkTick

    public void networkTick()

  processes packets and pending connections

  Overrides:
    `networkTick` in class `NetworkListenThread`

### getDedicatedServer

    public DedicatedServer getDedicatedServer()

### func_71761_a

    public void func_71761_a(InetAddress par1InetAddress)

### getServer

    public MinecraftServer getServer()

  Overrides:
    `getServer` in class `NetworkListenThread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD